body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}

.container {
    max-width: 600px;
    margin: 50px auto;
    background-color: #fff;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h1 {
    font-size: 36px;
    font-family: Arial, sans-serif;
    text-align: center;
}

h1 span {
    background-image: linear-gradient(to right, blue, red);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    animation: typing 2s steps(10) infinite;
}

@keyframes typing {
    from {
        width: 0
    }

    to {
        width: 100%
    }
}

form {
    display: flex;
    margin-bottom: 20px;
}

input[type="text"] {
    flex: 1;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: 16px;
}

button {
    padding: 10px 20px;
    background-image: linear-gradient(to right, blue, red);
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background-image: linear-gradient(to right, lightblue, pink);
    color: black;
}

.controls {
    margin-bottom: 20px;
}

label {
    margin-right: 10px;
}

select {
    padding: 8px;
    font-size: 16px;
}

ul {
    list-style-type: none;
    padding: 0;
}

li {
    display: flex;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #ddd;
}

li:last-child {
    border-bottom: none;
}

.checkbox {
    margin-right: 10px;
}

.delete-btn,
.edit-btn {
    margin-left: auto;
    background-color: #f44336;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    padding: 5px 10px;
    font-size: 14px;
    margin-left: 10px;
}

.delete-btn:hover,
.edit-btn:hover {
    background-color: #d32f2f;
}

.cancel-message {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #f44336;
    color: white;
    padding: 10px 20px;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    z-index: 999;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.cancel-message.show {
    opacity: 1;
}

/* Responsive Styles */
@media screen and (max-width: 668px) {
    .container {
        max-width: 90%;
    }

    input[type="text"],
    button {
        font-size: 14px;
    }

    .delete-btn,
    .edit-btn {
        padding: 4px 8px;
        font-size: 12px;
    }
}
@media screen and (max-width: 450px) {
    label{
        display: flex;
        padding: 15px 0 0 0;
        margin-right: 10px;
    }
}